Bug 1371942 - use base broken by update to perl 5.22.2
Summary: use base broken by update to perl 5.22.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://rt.perl.org/Public/Bug/Displa...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 13:34 UTC by Steve Rogerson
Modified: 2017-01-31 08:56 UTC (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 08:56:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 833030 None None None 2016-08-31 13:34:09 UTC

Description Steve Rogerson 2016-08-31 13:34:10 UTC
Description of problem:
...
use base qw{My::Module}
...
causes:
Base class package 'My::Module'  is empty


Version-Release number of selected component (if applicable):
5.22.2

How reproducible:
Every time

Steps to Reproduce:
1. Add "use base module_name" to source file
2. compile
3.

Actual results:

as above

Expected results:

it complies ok (it did before security update).
Additional info:

This is essentially the same debian bugreport 833030, but there the version of perl is  5.14.

I guess the same comments apply, I'm really only submitting this as a bug here because others might be looking. 

I used the work around of adding  "use My::Module".

Comment 1 Fedora End Of Life 2016-11-25 09:32:49 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Petr Pisar 2016-11-25 10:23:25 UTC
Upstream notify us that that final base fix will look different, but at the end the only relevant change we could find in latest release candidate is change in the error message wording.

Comment 3 Fedora Update System 2017-01-17 13:11:10 UTC
perl-5.22.3-366.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b1c53a8e08

Comment 4 Fedora Update System 2017-01-17 13:11:53 UTC
perl-5.24.1-381.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-74035d556c

Comment 5 Fedora Update System 2017-01-19 05:55:57 UTC
perl-5.24.1-381.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-19 06:20:45 UTC
perl-5.22.3-366.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.